KashierDevelopersKashier Developers

Export transaction batches

curl -X GET "https://test-api.kashier.io/v3/payment/export"
{  "messages": {    "en": "We're processing your request. Expect to receive an email in just a few minutes",    "ar": "جاري معالجة طلبك. توقع استلام بريد إلكتروني في غضون دقائق قليلة"  }}

Exports transaction data based on specific filters such as status and date range. It's typically used for reporting, reconciliation, and data analysis by aggregators or merchants. The export is delivered by email.

Authorization

secretKey
Authorization<token>

Merchant secret key used to identify the merchant, obtained from Kashier's dashboard. Pass the raw secret key value in the Authorization header (NOT a "Bearer" token).

In: header

Query Parameters

status?string

Filter transactions by status. Example: Approved

startDate?string

Start of the date range (ISO 8601 format). Example: 2024-10-27T00:00:00.000Z.

endDate?string

End of the date range (ISO 8601 format). Example: 2024-11-27T23:59:59.999Z.

Response Body

application/json

application/json

application/json

application/json

application/json

GET
/v3/payment/export